> For the complete documentation index, see [llms.txt](https://docs.rivaldev.xyz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.rivaldev.xyz/rival-tools/rival-pickaxes/configurations/upgrademenu.yml.md).

# upgrademenu.yml

```yaml
new-upgrade-menu: true #If true will use this upgrade menu, else it will use the default one
Menu-Settings:
  name: '&8Pickaxe Upgrades'
  size: 27
  pickaxe-preview:
    enabled: true
    slot: 4
Back-Item:
  enabled: true
  slot: 18
  material: BARRIER
  name: '&4&l<!> &c&lGo Back'
  lore:
    - ' &7&o(( Click to go back to main menu! ))'
PurchaseEnchantItem:
  name: '&a&l+ {amount} Enchant Levels'
  lore:
    - ' '
    - ' &2&l▎ &a&lCurrent Level: &f{current_level}'
    - ' &2&l▎ &a&lNew Level: &f{next_level}'
    - ' &2&l▎ &a&lPrice: &f{cost}'
    - ' '
    - ' &7&o(( Tip: Click to purchase enchant! ))'
PurchaseEnchantMaxItem:
  enabled: true
  slot: 22
  material: IRON_BARS
  name: '&a&l+ {amount} Enchant Levels'
  lore:
    - ' '
    - ' &2&l▎ &a&lCurrent Level: &f{current_level}'
    - ' &2&l▎ &a&lNew Level: &f{next_level}'
    - ' &2&l▎ &a&lPrice: &f{cost}'
    - ' '
    - ' &7&o(( Tip: Click to purchase max enchant levels! ))'
Menu-Items:
  '1':
    slot: 9
    amount : 1
    levels: 1
  '2':
    slot: 10
    amount: 2
    levels: 5
  '3':
    slot: 11
    amount: 3
    levels: 10
  '4':
    slot: 12
    amount: 4
    levels: 25
  '5':
    slot: 13
    amount: 5
    levels: 50
  '6':
    slot: 14
    amount: 6
    levels: 100
  '7':
    slot: 15
    amount: 7
    levels: 250
  '8':
    slot: 16
    amount: 8
    levels: 500
  '9':
    slot: 17
    amount: 9
    levels: 1000
Enchants:
  KeyFinder:
    name: '&a&l+ {amount} Enchant Levels'
    lore:
      - '&8Custom Enchant'
      - '&7&oChance to find crate keys.'
      - ' '
      - ' &2&l▎ &a&lCurrent Level: &f{current_level}'
      - ' &2&l▎ &a&lNew Level: &f{next_level}'
      - ' &2&l▎ &a&lPrice: &f{cost}'
      - ' '
      - ' &7&o(( Tip: Click to purchase enchant! ))'
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.rivaldev.xyz/rival-tools/rival-pickaxes/configurations/upgrademenu.yml.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
